#include <iostream>
#include <vector>
using namespace std;

int main() {

	int n;
	cin >> n;

	vector<int> a;
	vector<int> b;

	if (n % 2 == 0) {
		for (int i = 1; i <= n / 2; i++) {
			a.push_back(i);
			a.push_back(i + n);
		}

		for (int j = n / 2 + 1; j <= n; j++) {
			b.push_back(j);
			b.push_back(j + n);
		}
	}

	else {

	}

	

	for (int i = 0; i < a.size(); i++)
		cout << a[i] << " ";
	cout << "\n";

	for (int i = 0; i < b.size(); i++)
		cout << b[i] << " ";


	return 0;
}